Subject: Re: GIT: cherry-picking includes changes from a different commit

From: Keith Amling <[email-masked]>
Date: Fri, 5 Dec 2014 19:17:37 -0800

If you're referring to what 86ff53a7a178 has it has resolved the merge
conflict in a way that is almost certainly wrong.  If you turn on diff3
markers you can see that LHS deleted clone_test while RHS added a
function right after it.  The correct resolution is to include RHS's new
stuff but not that function whereas 86ff53a7a178 includes everything
from the RHS side of the conflict marker (thus including/adding
clone_test).

Keith

Thus spake Ruud Huynen, at Fri, Dec 05, 2014 at 09:04:28PM +0100:
> From: Ruud Huynen <[email-masked]>
> To: [email-masked]
> Subject: GIT: cherry-picking includes changes from a different commit
> Date: Fri, 5 Dec 2014 21:04:28 +0100
> 
> I noticed when cherry-picking a commit it includes changes from this commit
> and also changes from a different commit as the one I was picking.
> 
> I was in contact with "jast" on IRC, who noticed the issue, but didn't had
> time to look further.
> 
> For a description of my problem, please read
> http://stackoverflow.com/questions/27220638/git-cherry-pick-info-about-picke
> d-commits
> 
> 
> git clone git://github.com/MythTV/mythtv.git
> git checkout fixes/0.27
> 
> git cherry-pick 30df98ce5d11b69d0b5c5114a9007cdfc79a7e9b
> # from master
> # commit also picked: 17f17e1fc51b3b4017e08f5ea35c8a7b5a64eeec
> # resulting in a conflict
> 
> For the commits and before/conflict files, see
> https://gist.github.com/FritzHerbers/4f9b0990b6bca15a70eb
> 
> As nobody could believe me, that changes from another commit are included,
> is something wrong, or is it new behavior? Why did it happen?
> With which command, can I have a listing of "intermediate" commits picked?
> How can I automate such situations?
> 
> Fritz
> git version 1.9.1
> 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html